.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)modems.5	3/24/95
.\"
.Dd March 24, 1995
.Dt MODEMS 5
.Os BSD 4.4
.Sh NAME
.Nm modems
.Nd modem configuration data base
.Sh DESCRIPTION
The modems known by
.Xr tip 1
and their attributes are stored in an
.Tn ASCII
file which
is structured somewhat like the
.Xr termcap 5
file.  Each line in the file provides a description for a single
.Em modem .
Fields are separated by a colon (``:'').
Lines ending in a \e character with an immediately following newline are
continued on the next line.
.Pp
The first entry is the name(s) of the modem.  If there is more
than one name for a modem, the names are separated by vertical bars.
After the name of the modem comes the fields of the description.  A
field name followed by an `=' sign indicates a string value follows.  A field
name followed by a `#' sign indicates a following numeric value.
.Pp
When
.Xr tip 1
is invoked, an entry for a remote system is looked up in the
.Pa /etc/remote
database. 
If the entry includes an "ACU" type capability (abbreviated at), 
.Xr tip 1
looks up the specified modem in 
.Pa /etc/modems.
If a modem entry is found,
the corresponding capabilities determine how 
.Xr tip 1
programs the modem when connecting to and disconnecting from the
remote system.
.Sh CAPABILITIES
Capabilities are either strings (str), numbers (num), or boolean
flags (bool).  A string capability is specified by 
.Em capability Ns Ar = Ns Em value ;
for example, ``reset_command=ATZ\\r''.  A numeric capability is specified by
.Em capability Ns Ar # Ns Em value ;
for example, ``intercharacter_delay#50''.  A boolean capability is specified 
by simply listing the capability.
.Bl -tag -width intercharacter_delay indent
.It Cm \&dial_command
(str)
AT command used to dial remote system (typically, "ATDT")
.It Cm \&echo_off_command
(str)
AT command to turn off command echo.
.It Cm \&escape_guard_time
(num)
The delay, expressed in milliseconds, used to frame return-to-command
escape sequences.
.It Cm \&escape_sequence
(str)
The return-to-command escape sequence.
.It Cm \&hangup_command
(str)
AT command used to hangup modem.
.It Cm \&hw_flow_control
(bool)
Enable hardware (RTS/CTS) flow control between computer and modem (DTE/DCE).
.It Cm \&init_string
(str)
AT command used to initialize modem before dialing.
.It Cm \&intercharacter_delay
(num)
Delay value, expressed in milliseconds, between characters when sending commands
to the modem.
.It Cm \&intercommand_delay
(num)
Minimum delay value, expressed in milliseconds, to impose between commands
issued to the modem.
.It Cm \&lock_baud
(bool)
Use a fixed bit rate between the computer and the modem (DTE / DCE). The
bit rate is specified in 
.Pa /etc/remote.
.It Cm \&reset_command
(str)
AT command to reset the modem.
.It Cm \&reset_delay
(num)
The time, expressed in milliseconds, required by the modem to complete
a reset and return to a ready condition.
.Sh FILES
.Bl -tag -width /etc/modems -compact
.It Pa /etc/modems
The
.Nm modems
configuration database file
resides in
.Pa /etc .
.El
.Sh SEE ALSO
.Xr tip 1 ,
.Xr remote 5
.Sh HISTORY
The
.Nm
file format appeared in
.Bx 4.4 .
